

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: black;
}

.navbar {
    color: white;
    background-color: rgb(0, 0, 0, 0.75);
    padding: 10px 0;
    width: 100%;
    display: flex;
    font-size: clamp(0.75rem, 2.5vw, 1rem);
    justify-content: space-evenly;
    align-items: center;
    font-family: 'Poppins', sans-serif;
    position: relative;
}

@media screen and (min-width: 768px) {
    .navbar {
        width: 60%;
        left: 50%;
        transform: translateX(-50%);
    }
}

.navbar span {
    cursor: pointer;

}

.navbar .line {
    transition: transform 0.25s;
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: white;
    transform-origin: left center;
}